POST api/particlecounterapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

ParticleCounterViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

anatype_id

globally unique identifier

Required

cleanroom_id

globally unique identifier

None.

description

string

None.

id

globally unique identifier

None.

ip_address

string

Required

particle_counter_type_id

globally unique identifier

Required

site_id

globally unique identifier

Required

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "anatype_id": "44eff987-2c0d-484a-ac6e-b5beaadaa545",
  "cleanroom_id": "9ebdbf5a-7b84-40c8-ad13-792095bee611",
  "description": "sample string 3",
  "id": "d663aab1-1b1e-46be-af82-c0f11d1d192d",
  "ip_address": "sample string 5",
  "particle_counter_type_id": "8d804bb3-90dd-4515-9893-f8f9c66c96fe",
  "site_id": "29ea0bfc-b0f3-4a5d-b2a0-f362581bb356"
}

application/xml, text/xml

Sample:
<particle_counter xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <anatype_id>44eff987-2c0d-484a-ac6e-b5beaadaa545</anatype_id>
  <cleanroom_id>9ebdbf5a-7b84-40c8-ad13-792095bee611</cleanroom_id>
  <description>sample string 3</description>
  <id>d663aab1-1b1e-46be-af82-c0f11d1d192d</id>
  <ip_address>sample string 5</ip_address>
  <particle_counter_type_id>8d804bb3-90dd-4515-9893-f8f9c66c96fe</particle_counter_type_id>
  <site_id>29ea0bfc-b0f3-4a5d-b2a0-f362581bb356</site_id>
</particle_counter>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"b621d9e9-bc80-4407-bb03-5055c18126c3"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">b621d9e9-bc80-4407-bb03-5055c18126c3</guid>